<?xml version="1.0" encoding="UTF-8" ?>
<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
               xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
               xmlns:mml='http://www.w3.org/1998/Math/MathML'>
    
    <!-- Output setup. -->
    <xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
    
    <!-- Identical transformation is default behaviour. -->
    <!--
    <xsl:template match="@*|*|processing-instruction()|comment()">
        <xsl:copy>
            <xsl:apply-templates select="*|@*|text()|processing-instruction()|comment()"/>
        </xsl:copy>
    </xsl:template>
    -->

    <!-- Copy math as is. -->
    <xsl:template match="mml:math">
        <xsl:text> </xsl:text>
        <xsl:copy-of select="."/>
        <xsl:text> </xsl:text>
    </xsl:template>
    
    <!-- Extract root element. -->
    <!-- <xsl:template match="/">
        <xsl:element name="fulltext" namespace="http://www.eudml.org/fulltext">
            <xsl:attribute name="xsi:schemaLocation">http://eudml.org/fulltext eudml-fulltext.xsd</xsl:attribute>
            <xsl:apply-templates/>
        </xsl:element>
    </xsl:template> -->
   
    <xsl:template match="/">
        <xsl:element name="fulltext">
            <xsl:apply-templates/>
        </xsl:element>
    </xsl:template>
    
    <!-- Remove multiple spaces and substitute new-line charecters for spaces. -->
    <!--
    <xsl:template match="text()">
        <xsl:text> </xsl:text>
        <xsl:value-of select="normalize-space(translate(.,'&#10;',' '))"/>
        <xsl:text> </xsl:text>
    </xsl:template>
    -->
    
</xsl:transform>
