<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" xmlns:xlink="http://www.w3.org/1999/xlink"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    exclude-result-prefixes="xsi xlink">
    <xsl:output method="xml" omit-xml-declaration="no" indent="yes" />

    <xsl:strip-space elements="*" />

    <xsl:template match="node()|@*">
        <xsl:copy>
            <xsl:apply-templates select="node()|@*" />
        </xsl:copy>
    </xsl:template>

    <xsl:template match='*[local-name()="email"]'></xsl:template>
    <xsl:template match='*[local-name()="year-id"]'></xsl:template>
    <xsl:template
        match='*[local-name()="ext-link" and starts-with(@*[local-name()="ext-link-type"], "eudml-fulltext")]'></xsl:template>
    <xsl:template match='@*[local-name()="enhanced-by"]'></xsl:template>
    <xsl:template match="*[@merged-from='zbl']"></xsl:template>
</xsl:stylesheet>